Asegurar compatibilidad entre la futura versión y las posteriores.

Home Forums Desarrolladores / Desenvolupadors / Garatzaileak / Desenvolvedores / Developers Asegurar compatibilidad entre la futura versión y las posteriores.

This topic contains 1 reply, has 2 voices, and was last updated by  arshsran 4 months, 1 week ago.

  • Author
    Posts
  • #387

    En los cambios que corresponden al bug 1419 (rev  263 en trunk) el fichero content.xml ha cambiado. Para evitar futuras incompatibilidades por posibles nuevos cambios de content.xml la carga de un proyecto debiera saber gestionar eso: si el proyecto que se pretende cargar trae un content.xml desconocido, entonces, en vez de fallar la carga (como sucede ahora) debiera ignorar el content.xml y cargar “el viejo e infalible” content.data. Me parece que el código implicado está en el try de la línea 600 de package.py, entiendo que de la lectura de la variable xmlinfo se puede extraer de alguna manera si es un content.xml “reconocible”… Ese código nuevo es tuyo Pedro, ¿estudias tú esta opción?. Evitar posibles incompatibilidades merece la pena si no hay que tocar mucho código.

  • #30332

    arshsran
    Member

    Hello … You can Download it from apktrendz . You can check Download link : https://www.apktrendz.co/gb-whatsapp

You must be logged in to reply to this topic.